import { Observable } from 'rxjs';
export declare class FeedbackInternalService {
    initialVariables: object;
    highlightedColor: string;
    hiddenColor: string;
    private screenshotCanvasSource;
    screenshotCanvas$: Observable<HTMLCanvasElement>;
    private isDraggingToolbarSource;
    isDraggingToolbar$: Observable<boolean>;
    initScreenshotCanvas(options: {
        allowTaint?: boolean;
        useCORS?: boolean;
    }): void;
    setCanvas(canvas: HTMLCanvasElement): void;
    setIsDraggingToolbar(isDragging: boolean): void;
    getImgEle(canvas: any): HTMLElement;
    hideBackDrop(): void;
    showBackDrop(): void;
}
